org.apache.xmlgraphics.util

## Interface XMLizable

- All Known Implementing Classes:
    Metadata, XMPArray, XMPComplexValue, XMPProperty, XMPStructure, XMPThinStructure

      public interface XMLizable

  This interface can be implemented by classes willing to provide an XML representation of their current state as SAX events.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `toSAX(org.xml.sax.ContentHandler handler)` Generates SAX events representing the object's state.

- - ### Method Detail

    - #### toSAX

          void toSAX(org.xml.sax.ContentHandler handler)
              throws org.xml.sax.SAXException

      Generates SAX events representing the object's state.
      Parameters:
        `handler` - ContentHandler instance to send the SAX events to
      Throws:
        `org.xml.sax.SAXException` - if there's a problem generating the SAX events

Copyright 1999-2025 The Apache Software Foundation. All Rights Reserved.